//
// err_code.go
// Copyright (C) 2022 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package gconsts

const (
	ErrCodeNone          = 0     // 正确的结果
	ErrCodeBadRequest    = 40000 // 无效的请求
	ErrCodeValidateFail  = 40001 // 验证失败
	ErrCodeNoLogin       = 40100 // 没有认证
	ErrCodeNoToken       = 40101 // 没有带 token
	ErrCodeExpiredToken  = 40102 // token 过期
	ErrCodeInvalidToken  = 40103 // 1️无效的 token
	ErrCodeNoPermission  = 40300 // 没有权限
	ErrCodePageNotFound  = 40400 // 页面不存在
	ErrCodeEntryNotFound = 40401 // 对象不存在
	ErrCodeResNotFound   = 40402 // 资源不存在
	ErrCodeInternal      = 50000 // 服务内部错误

)
